%define  debug_package %{nil}

%global kernel %({ rpm -q --qf '%%{VERSION}-%%{RELEASE}.%%{ARCH}\\\n' `rpm -qa | egrep "^kernel-automotive-devel" | /usr/lib/rpm/redhat/rpmsort -r | head -n 1`; echo '%%%{nil}'; } | head -n 1) \

Name:               downstream-dtbs
Version:            0.1
Release:            2%{?dist}
Summary:            arm64 downstream device tree blobs

License:            GPLv2
Source0:            downstream-dtbs-4f828e06.tar.gz

# No dtbs in x86-land so it makes sense
ExclusiveArch:      aarch64

BuildRequires:      dtc
BuildRequires:      kernel-automotive-devel

%description
arm64 device tree blobs generated from source

%prep
%setup -q -n downstream-dtbs-src

%build
find . -type f -name '*.dts' -print0 | while read -d '' src; do
        tmp=${src%.dts}.tmp.dts
        dst=${src%.dts}.dtb
        cpp -nostdinc -I . -I /usr/src/kernels/%{kernel}/include -undef -x assembler-with-cpp $src > $tmp
        if test -f $tmp; then
                dtc -q -O dtb -b 0 -o $dst $tmp
        fi
        rm $tmp
done

%install
mkdir -p %{buildroot}%{_prefix}/lib/dtb
find . -type f ! -name "*.dtb" -delete
cp -r * %{buildroot}%{_prefix}/lib/dtb

%clean
rm -rf %{buildroot}

%files
%{_prefix}/lib/dtb

%changelog
* Fri Apr 05 2024 Lucas Karpinski <lkarpins@redhat.com> 0.1-2
- Search for the latest kernel-automotive-devel available on the host

